﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Xnaml.Demo {
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window {
		public MainWindow ( ) {
			InitializeComponent( );
		}

		private void GohanAppear_Click ( object sender, RoutedEventArgs e ) {
			string appearstate = "Appear";
			XNAGame.SendMessage( this, appearstate );
			GohanAppear.Visibility = Visibility.Hidden;
			GohanPower.Visibility = Visibility.Visible;
		}

		private void XNAGame_Broadcast ( object sender, BroadcastEventArgs e ) {
			if ( e.BroadcastData is string ) {
				BroadcastReciever.Text = ( e.BroadcastData as string );
			}
		}

		private void GohanPower_Click ( object sender, RoutedEventArgs e ) {
			XNAGame.SendMessage( this, "Power Up" );
		}
	}
}
