﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Xnaml.Demo {
	public class IntInterpolator : Interpolator<int> {
		public IntInterpolator ( )
			: base( ) {

		}

		public IntInterpolator ( int value )
			: base( value ) {

		}

		protected override int Interpolate ( ) {
			return start + (int)Math.Round( ( ( end - start ) * ( current / total ) ) );
		}

		public override int Interpolation ( double at ) {
			return start + (int)Math.Round( ( ( end - start ) * ( at / total ) ) );
		}
	}
}
